
Core - Bug # 67187

Status: Under Review Priority: Should have
Author: Alexander Opitz Category:
Created: 2015-05-29 Assigned To: Alexander Opitz
Updated: 2015-06-26 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity: hard
Is Regression: No
Sprint Focus:
Subject: recursiveFileListSortingHelper natural sorting isn't locale aware
Description

recursiveFileListSortingHelper uses strnatcasecmp which isn't locale aware so Umlauts (and others) gets sorted to the end. Which,
depending on locale, isn't correct handling.

=> Request change in PHP, as this wouldn't be backported to older versions this won't happen for 7 LTS.
=> Use intl Extensions Collator

Related issues:
related to Core - Bug # 65319: ResourceUtilityTest::recursiveFileListSortingH... Resolved 2015-02-25

History
#1 - 2015-05-29 09:41 - Alexander Opitz

https://bugs.php.net/bug.php?id=69726

#2 - 2015-05-29 13:32 - Alexander Opitz

There is a way, by using intl Extension.

See http://3v4l.org/RHPkY

So the question, can we raise the dependencies?

#3 - 2015-05-29 13:33 - Alexander Opitz
- Description updated

#4 - 2015-05-29 16:17 - Gerrit Code Review
- Status changed from In Progress to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/39801

#5 - 2015-05-29 16:34 - Alexander Opitz

The solution with Collator doesn't need the locale installed on system to work.
#6 - 2015-05-29 16:35 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/39801

#7 - 2015-06-01 09:56 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/39801

#8 - 2015-06-01 10:15 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/39801

#9 - 2015-06-26 13:51 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/39801
